/*
 * grunt-devperf
 * https://github.com/gaelmetais/grunt-devperf
 *
 * Copyright (c) 2014 Gaël Métais
 * Licensed under the MIT license.
 */

module.exports = function(grunt) {
  'use strict';

  // Project configuration.
  grunt.initConfig({
    jshint: {
      all: [
        'Gruntfile.js',
        'tasks/devperf.js',
        'tasks/front/assets/main.js'
      ]
    },

    // Configuration to be run
    devperf: {
      options: {
        urls: [
          'http://www.amazon.com?stream=http%3A%2F%aa-aa.aaa.net%2Fz%2FAAAA_1%40155323%2Fmanifest.f4m&build=jquery.aa.aa-v3.js',
          'http://www.amazon.com/b/?&node=2625373011'
        ],
        openResults: true
      }
    },

    // Unit tests : TODO
    nodeunit: {
      tests: []
    }

  });

  // Actually load this plugin's task(s).
  grunt.loadTasks('tasks');

  // These plugins provide necessary tasks.
  grunt.loadNpmTasks('grunt-contrib-jshint');
  grunt.loadNpmTasks('grunt-contrib-clean');


  grunt.registerTask('default', ['devperf']);

  // By default, lint and run all tests.
  grunt.registerTask('lint', ['jshint']);

};
